Package org.kapott.hbci.rewrite

## Class RKUmsDelimiters

- java.lang.Object
- - org.kapott.hbci.rewrite.Rewrite
  - - org.kapott.hbci.rewrite.RKUmsDelimiters

    public final class RKUmsDelimiters
    extends Rewrite

Rewriter-Modul für Kontoauszüge der 1822direkt-Bank (und vielleicht andere). Die Kontoauszüge können nicht geparst werden, weil das verwendete SWIFT-Format von dem in der HBCI-Spezifikation vorgeschriebenen Format abweicht. Dieses Modul korrigiert die Fehler in den Kontoauszugsdaten, so dass Kontoauszüge mit HBCI4Java wieder zu parsen sind.

### Constructor Summary

Constructors
`RKUmsDelimiters()`

### Method Summary

All Methods Instance Methods Concrete Methods
`MSG` `incomingData​(MSG msg, MsgGen gen)`

### Methods inherited from class org.kapott.hbci.rewrite.Rewrite

`getData, incomingClearText, incomingCrypted, outgoingClearText, outgoingCrypted, outgoingSigned, setData`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### RKUmsDelimiters

    public RKUmsDelimiters()

### Method Detail

#### incomingData

    public MSG incomingData​(MSG msg,
                            MsgGen gen)

Overrides:
  `incomingData` in class `Rewrite`